{ buildEnv, bundlerEnv, ruby_2_5, defaultGemConfig, fetchpatch }:
let
  fix-yajl = fetchpatch {
    url = "https://github.com/chef/ffi-yajl/commit/ba84d91986c2d149f0a05132401e8ad9d17dab6c.diff";
    sha256 = "0vfmdxgpcd0v2y4r5k27lnydqh3hb0zg8f24hlrddi4p7xi93815";
  };

  gems = bundlerEnv rec {
    name = "chef";
    ruby = ruby_2_5;
    gemdir = ./.;
    gemConfig = defaultGemConfig // {
      ffi-yajl = attrs: {
        dontBuild = false;
        patches = (attrs.patches or []) ++ [ fix-yajl ];
      };
    };
  };
in

buildEnv {
  name = "chef-packages";
  paths = [ gems ];
}
